Subject: `lisp' customization initialization, setting and saving

From: "Allan Mui" <[email-masked]>
Date: Thu, 25 Sep 2008 14:27:42 -0500

When I try to use the language customization buffer for `lisp'  all values
are initially either `unknown' or `uninitialized'. There is an error when
loading the buffer. When I then try to manually initialize the values to
the default ones
they are not saved or even set in some cases. I do not have a lisp
interpreter installed.

In GNU Emacs 22.3.1 (i386-mingw-nt5.1.2600)
 of 2008-09-06 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Custom

Minor modes in effect:
  encoded-kbd-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <menu-bar> <options> <customize> 
<customize-group> l i s p - <backspace> <return> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <menu-bar> <help-menu> <send-emacs-bug
-report>

Recent messages:
Loading easymenu...done
Loading cus-edit...done
Creating customization items...
Loading cl-indent...done
Creating group...
Creating group members... 25%
widget-apply: Symbol's function definition is void: nil
Loading emacsbug...
Loading regexp-opt...done
Loading emacsbug...done

--
Allan J Mui